/**
 * the ClockDisplay class creats the whole digital clock.
 *
 * @author saba
 * @version 0.0
 */
public class ClockDisplay {
    //the number of hours
    private NumberDisplay hours ;
    //the number of minutes
    private NumberDisplay minutes ;
    //the number of seconds
    private NumberDisplay seconds ;
    private String displayString ;

    /**
     *creats a new clock set on 00:00:00
     */
    public ClockDisplay(){
        hours = new NumberDisplay(24) ;
        minutes = new NumberDisplay(60) ;
        seconds = new NumberDisplay(60) ;
        updateDisplay();
    }

    /**
     * creats a new clock set on hour , minute and second
     * @param hour the starting hour
     * @param minute the starting minute
     * @param second the starting second
     */
    public ClockDisplay(int hour , int minute , int second){
        hours = new NumberDisplay(24) ;
        minutes = new NumberDisplay(60) ;
        seconds = new NumberDisplay(60) ;
        setTime(hour , minute , second);
    }

    /**
     * increases the time
     */
    public void timeTick(){
        seconds.increment();
        if (seconds.getValue() == 0){
            minutes.increment();
            if (minutes.getValue() == 0){
                hours.increment();
            }
        }
        updateDisplay();
    }

    /**
     *gets the time
     * @return displayString field
     */

    public String getTime(){
        return displayString ;
    }

    /**
     * sets the time
     * @param hour the current hour
     * @param minute the current minute
     * @param second the current second
     */

    public void setTime(int hour , int minute , int second){
        hours.setValue(hour);
        minutes.setValue(minute);
        seconds.setValue(second);
        updateDisplay();
    }

    /**
     * updates the time
     */

    public void updateDisplay(){
        displayString = hours.getDisplayValue() + ":" + minutes.getDisplayValue() + ":" + seconds.getDisplayValue() ;
    }
}

