/**
 * the numberDisplay class creats the hours/minutes/seconds element
 * @author saba
 * @version 0.0
 */
public class NumberDisplay {
    //the limit of rolling over
    private int limit ;
    //the current value
    private int value ;

    /**
     * creats a new number based on the given limit
     * @param rollOverLimit the limit
     */
    public NumberDisplay(int rollOverLimit){
        value = 0 ;
        limit = rollOverLimit ;
    }

    /**
     * gets the current value
     * @return value field
     */

    public int getValue(){
        return value ;
    }

    /**
     * gets the current value in string type
     * @return the value
     */

    public String getDisplayValue(){
        if (value < 10)
            return "0" + value ;
        else
            return "" + value ;
    }

    /**
     * sets the current value by checking the limit
     * @param replacementValue the new value
     */

    public void setValue(int replacementValue){
        if (replacementValue >= 0 && replacementValue < limit )
            value = replacementValue ;
    }

    /**
     * increases the value based on the limit
     */

    public void increment(){
        value = (value + 1) % limit ;
    }


}
